JSplitPane
Date: 2019-10-22

org.jmol.awtjs.swing

## Class JSplitPane

- java.lang.Object
- - org.jmol.awtjs.swing.Component
  - - org.jmol.awtjs.swing.Container
    - - org.jmol.awtjs.swing.JComponent
      - - org.jmol.awtjs.swing.JSplitPane

-     public class JSplitPane
      extends JComponent

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `HORIZONTAL_SPLIT`
    `(package private) boolean` | `isH`
    `private Container` | `left`
    `private Container` | `right`
    `private int` | `split`

    - ### Fields inherited from class org.jmol.awtjs.swing.JComponent

      `actionCommand, actionListener, autoScrolls`

    - ### Fields inherited from class org.jmol.awtjs.swing.Container

      `list`

    - ### Fields inherited from class org.jmol.awtjs.swing.Component

      `enabled, height, id, minHeight, minWidth, mouseListener, name, parent, renderHeight, renderWidth, text, width`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `JSplitPane(int split)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getSubcomponentHeight()`
    `int` | `getSubcomponentWidth()`
    `void` | `setLeftComponent(JComponent l)`
    `void` | `setRightComponent(JComponent r)`
    `java.lang.String` | `toHTML()`

    - ### Methods inherited from class org.jmol.awtjs.swing.JComponent

      `addActionListener, getActionCommand, setActionCommand, setAutoscrolls`

    - ### Methods inherited from class org.jmol.awtjs.swing.Container

      `add, addComponent, getComponent, getComponentCount, getComponents, insertComponent, remove, removeAll`

    - ### Methods inherited from class org.jmol.awtjs.swing.Component

      `addMouseListener, getCSSstyle, getHeight, getName, getParent, getText, getWidth, isEnabled, isVisible, newID, repaint, setBackground, setEnabled, setMinimumSize, setName, setParent, setPreferredSize, setText, setVisible`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### HORIZONTAL_SPLIT

          public static final int HORIZONTAL_SPLIT

      See Also:
        Constant Field Values

    - #### isH

          boolean isH

    - #### split

          private int split

    - #### right

          private Container right

    - #### left

          private Container left

  - ### Constructor Detail

    - #### JSplitPane

          public JSplitPane(int split)

  - ### Method Detail

    - #### setRightComponent

          public void setRightComponent(JComponent r)

    - #### setLeftComponent

          public void setLeftComponent(JComponent l)

    - #### getSubcomponentWidth

          public int getSubcomponentWidth()

      Overrides:
        `getSubcomponentWidth` in class `Container`

    - #### getSubcomponentHeight

          public int getSubcomponentHeight()

      Overrides:
        `getSubcomponentHeight` in class `Container`

    - #### toHTML

          public java.lang.String toHTML()

      Specified by:
        `toHTML` in class `Component`